Skip to content

Update analytics sharing

post/update-metrics-share
Any key

This API endpoint allows you to configure analytics sharing settings for your chatbot. The response always contains the link of the public analytics dashboard. Setting public requires a plan that includes sharing analytics. Only the fields you send are changed.

Request body

Sending 1 of 3 fields
Required
chatbotIdstring
The ID of the chatbot to update.

Only these fields are sent (application/json). Fields you leave off keep their current values.

Try it · POST /update-metrics-share
curl 'https://api.chat-data.com/api/v2/update-metrics-share' \  -H "Authorization: Bearer $CHAT_DATA_API_KEY" \  -H 'Content-Type: application/json' \  -d '{  "chatbotId": "6650f1c2a9e4b83d2c7a1f05"}'
Loading…

Responses

Successful response.

Content type: application/json

FieldDescription
statusstringResponse status indicator.
analyticsLinkstringURL of the public analytics dashboard.

Example

{  "status": "success",  "analyticsLink": "https://chat.example.com/analytics/n1GHt-Fw0EVmdEl73m1cWv2SLMnGZTSC1T3laTk_ce5sRBcMwr4ZOz8QEiXty82bCKdiXsP0oiYbf2m8-Qq3g2_uMaTcnFwpAvcOrVaCDl5lwsqdik6rZS3WJkbcxlrNRH7Br6TcoteQug28Jr5PpcjwMPgL6goV47eTgccupFAkDodqz4qTIlkqVlE"}

Last updated October 14, 2026